import React from "react";
import Avatar from "./Avatar";
import { getAddress } from "../common/lib/util";
import { AddressType } from "../common/types";

type OwnProps = {
  name: string;
  profilePic?: string;
  email: string;
  address?: AddressType;
};

const Profile = ({ name, profilePic, email, address }: OwnProps) => {
  const addressString = getAddress(address);
  return (
    <div className="card p-4 profile-card">
      <Avatar size="lg" name={name} url={profilePic} />
      <h5>{name}</h5>
      <p>{email}</p>
      <p>{addressString}</p>
      <a
        className="btn btn-primary mt-3"
        href="/settings"
        style={{ width: "100%" }}
      >
        Edit profile
      </a>
    </div>
  );
};

export default Profile;
