import React from "react";
import { Stat } from "../common/types";

const ResultTable = ({ data }: { data?: Stat | null }) => {
  if (!data) return null;
  return (
    <table id="dataTable" className="table">
      <thead>
        <tr>
          <th></th>
          <th>Standard</th>
          <th>Advance (Full)</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <th className="text-right">Threshold</th>
          <td>{data.standard.threshold}</td>
          <td>{data.fullStandard.threshold}</td>
        </tr>
        <tr>
          <th className="text-right">SD Multiplier</th>
          <td>{data.standard.sd}</td>
          <td>-</td>
        </tr>
        <tr>
          <th className="text-right">Score/Distance</th>
          <td>{(data.standard.inRangePercent.full as number)?.toFixed(2)}</td>
          <td>
            {(data.fullStandard.normedDistance.full as number)?.toFixed(2)}
          </td>
        </tr>
        <tr>
          <th className="text-right">Accepted</th>
          <td>{data.standard.inRange.full ? "true" : "false"}</td>
          <td>{data.fullStandard.inRange.full ? "true" : "false"}</td>
        </tr>
      </tbody>
      <tfoot>
        <tr>
          <th className="text-right">Attempt Accepted</th>
          <th className="text-center" colSpan={5}>
            {data.accepted ? "Authenicated" : "Unauthorized"}
          </th>
        </tr>
      </tfoot>
    </table>
  );
};

export default ResultTable;
